.gba
.open "zm.gba","Serris.gba",0x8000000

.definelabel SpriteID,0x6C			;unused 
.definelabel SegmentID,0x28			;unused croco sprite
.definelabel BlockID,0x7			;unused

.definelabel SpriteAIPointers,0x875E8C0
.definelabel SSpriteAIPointers,0x875F1E8
.definelabel SpriteGfxPointers,0x875EBF8
.definelabel SpritePalPointers,0x875EEF0


.org 0x8761800  ; free space
    .include "serris\ai.asm"
    .align
SpriteGfx:
    .import "serris\graphics.gfx.lz"
    .align
SpritePal:
    .import "serris\palette"
    .align
Phase2Pal:
    .import "serris\palette2"
    .align
Phase3Pal:
    .import "serris\palette3"
    .align

SpriteOAM:
    .include "serris\oam.asm"
    .include "serris\table.asm"

; primary sprite stats
.org PrimarySpriteStats + SpriteID * 0x12
    .halfword 0x32   ; health
    .halfword 0x1E   ; damage
    .halfword 0x9    ; weakness
    .halfword 0      ; no drop
    .halfword 0x200  ; small health
    .halfword 0x200  ; large health
    .halfword 0      ; missile
    .halfword 0      ; super missile
    .halfword 0      ; power bomb

;secondary sprites
.org SecondarySpriteStats + BlockID * 0x12
    .halfword 0      ; health
    .halfword 0      ; damage
    .halfword 0      ; weakness
    .halfword 0x400  ; no drop
    .halfword 0	     ; small health
    .halfword 0      ; large health
    .halfword 0      ; missile
    .halfword 0      ; super missile
    .halfword 0      ; power bomb

.org SecondarySpriteStats + SegmentID * 0x12
    .halfword 1    ; health
    .halfword 0x1E      ; damage
    .halfword 0         ; weakness
    .halfword 0         ; no drop
    .halfword 0x80	; small health
    .halfword 0x80      ; large health
    .halfword 0x200     ; missile
    .halfword 0x100     ; super missile
    .halfword 0      ; power bomb

; AI pointer
.org SpriteAIPointers + SpriteID * 4
    .word SerrisSpriteAI + 1

; projectile AI pointer
.org SSpriteAIPointers + SegmentID * 4
    .word SegmentMainAI + 1

.org SSpriteAIPointers + BlockID * 4
    .word SerrisBlockMainAI + 1

; graphics pointer
.org SpriteGfxPointers + (SpriteID - 0x10) * 4
    .word SpriteGfx

; palette pointer
.org SpritePalPointers + (SpriteID - 0x10) * 4
    .word SpritePal


.close
